Show: Inherited Protected Private Deprecated

# ButtonStylesListItemRemove Class

Defined in: `src/ui/react/src/components/buttons/button-styles-list-item-remove.jsx:4`

The ButtonStylesListItemRemove class provides functionality for previewing a style definition inside a list and applying it to the current editor selection.

## Index

### Methods

- _removeStyles
- getDefaultProps
- render

### Properties

- editor
- key static
- label
- removeBlocks
- tabIndex

## Methods

### `_removeStyles`

() protected

Defined in `src/ui/react/src/components/buttons/button-styles-list-item-remove.jsx:82`

Removes all inline styles and configured block elements applied to the current selection.

### `getDefaultProps`

() Object

Defined in `src/ui/react/src/components/buttons/button-styles-list-item-remove.jsx:56`

Lifecycle. Returns the default values of the properties used in the widget.

#### Returns:

Object:

The default properties.

### `render`

() Object

Defined in `src/ui/react/src/components/buttons/button-styles-list-item-remove.jsx:68`

Lifecycle. Renders the UI of the button.

#### Returns:

Object:

The content which should be rendered.

## Properties

### `editor`

Object

Defined in `src/ui/react/src/components/buttons/button-styles-list-item-remove.jsx:13`

The editor instance where the component is being used.

### `key`

String static

Defined in `src/ui/react/src/components/buttons/button-styles-list-item-remove.jsx:46`

The name which will be used as an alias of the button in the configuration.

Default: buttonStylesListItemRemove

### `label`

String

Defined in `src/ui/react/src/components/buttons/button-styles-list-item-remove.jsx:20`

The label that should be used for accessibility purposes.

### `removeBlocks`

Array

Defined in `src/ui/react/src/components/buttons/button-styles-list-item-remove.jsx:27`

Block styles that should be removed in addition to all other inline styles

Default: ['h1', 'h2', 'h3', 'h4', 'h5', 'h6', 'pre']

### `tabIndex`

Number

Defined in `src/ui/react/src/components/buttons/button-styles-list-item-remove.jsx:35`

The tabIndex of the button in its toolbar current state. A value other than -1 means that the button has focus and is the active element.